import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'cyan');
circle.attr('stroke', 'black');

const eyeSpacing = 150;
const eyeYOffset = -89;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(1000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 70})`)
  .transition().duration(800)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 160,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));

const hair = g
	.append('rect')
		.attr('x', +80)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair1 = g
	.append('rect')
		.attr('x', +55)
		.attr('y', -255)
    .attr('width', 9)
    .attr('height', 60);

const hair2 = g
	.append('rect')
		.attr('x', +33)
		.attr('y', -255)
    .attr('width', 8)
    .attr('height', 70);

const hair3 = g
	.append('rect')
		.attr('x', + 8)
		.attr('y', -255)
    .attr('width', 7)
    .attr('height', 80);

const hair4 = g
	.append('rect')
		.attr('x', -18)
		.attr('y', -255)
    .attr('width', 7)
    .attr('height', 80);

const hair5 = g
	.append('rect')
		.attr('x', -45)
		.attr('y', -255)
    .attr('width', 8)
    .attr('height', 70);

const hair6 = g
	.append('rect')
		.attr('x', -70)
		.attr('y', -255)
    .attr('width', 9)
    .attr('height', 60);

const hair7 = g
	.append('rect')
		.attr('x', -95)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const leftEar = g
	.append('rect')
		.attr('x', -200)
		.attr('y', -150)
    .attr('width', 10)
    .attr('height',300);

const rightEar = g
	.append('rect')
		.attr('x', 200)
		.attr('y', -150)
    .attr('width', 10)
    .attr('height',300);

const beard = g
	.append('rect')
		.attr('x', -50)
		.attr('y', 170)
    .attr('width', 100)
    .attr('height',300);

const nose = g
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',  +eyeSpacing - eyeBrowWidth*1.5);













